Package org.apache.felix.bundleplugin

# Class AbstractDependencyFilter

java.lang.Object
org.apache.felix.bundleplugin.AbstractDependencyFilter

Direct Known Subclasses:
  `DependencyEmbedder`, `DependencyExcluder`

public abstract class AbstractDependencyFilter extends Object
Apply clause-based filter over given dependencies

Author:
  Felix Project Team

## Constructor Summary

Constructors
Constructor
Description
`AbstractDependencyFilter(Collection<org.apache.maven.artifact.Artifact> dependencyArtifacts)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`processDependencies(Collection<org.apache.maven.artifact.Artifact> dependencies, String inline)`
`protected final void`
`processInstructions(String header)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractDependencyFilter

public AbstractDependencyFilter(Collection<org.apache.maven.artifact.Artifact> dependencyArtifacts)

## Method Details

### processInstructions

protected final void processInstructions(String header) throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

### processDependencies

protected abstract void processDependencies(Collection<org.apache.maven.artifact.Artifact> dependencies, String inline)